Pwnage Tool 3.13 For iPhone 3GS/iPod Touch 2 Jailbreaking Has Been Released

Dev Team has done it again. iPhone 3.1 OS has been jailbroken for iPhone 3GS and iPod Touch 2 machines, in case you’re Mac users. Mind you, this new Pwnage 3.13 tool, the team has released, will not work with Phone/iPod Touch devices that came out-of-the-box with OS 3.1 or were upgraded via iTunes. In other words, you have to Pwnd them at 3.0 or 3.0.1 versions, before jumping to the latest one.



Nir Ben Yona Shein

Internet freak and technology geek; Aspiring screenwriter, devoted tech blogger & Technologer chief editor . Early adopter with a keen interest in gadgets, technology, internet and mobile.


Your Cart